Livepush Developers

Video Imports

List queued video imports

GET https://vod-web-import-api.livepush.io/transfers/queued

Base URL https://vod-web-import-api.livepush.io — Livepush VOD Import API

Returns video imports that are currently queued or processing.

If a previously created video ID is no longer present, the import is considered complete and the video will appear in the VOD library.

Authorization

Send a valid access token in the Authorization header.

  • bearerAuth — Bearer token (JWT)
headers.txt
Authorization: Bearer YOUR_API_TOKEN

Try it

GET https://vod-web-import-api.livepush.io/transfers/queued — This call only reads data.

Code samples

request.sh
curl -X GET 'https://vod-web-import-api.livepush.io/transfers/queued' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://vod-web-import-api.livepush.io/transfers/queued', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
  },
});

if (!response.ok) {
  throw new Error(`Livepush API error ${response.status}`);
}

const data = await response.json();
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
}

response = requests.get('https://vod-web-import-api.livepush.io/transfers/queued', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()

Responses

List of queued imports

application/json

Array of QueuedTransfer.

  • transferId string
  • id string
  • videoName string
  • progress number
  • status string
Example 200 response response.json
[
  {
    "transferId": "tr_92aFxxQ",
    "id": "tup_eK9_VlyyRnLr",
    "videoName": "how-to-stream-custom-rtmp.mov",
    "progress": 64,
    "status": "processing"
  }
]

No response body.